package Parkhaus;

import static org.junit.jupiter.api.Assertions.*;

import java.text.ParseException;
import java.text.SimpleDateFormat;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class JTest_AutoMitSchulden {

	private Parkhaus parkhaus;
    private SimpleDateFormat sdf;
    
	@BeforeEach
	void start() throws ParseException {
		parkhaus = new Parkhaus();
		sdf = new SimpleDateFormat("dd.MM.yyyy, HH:mm");
	}
	

	@Test
	public void test_AutoMitSchulden() throws Exception {

		String kennzeichen = "MA-SH 4077";
		String einfahrt = "01.10.2024, 12:30";
		String ausfahrt = "01.10.2024, 13:00";
		
		parkhaus.einfahren(kennzeichen, einfahrt);
		parkhaus.berechneParkgebuehren(kennzeichen, ausfahrt);
		parkhaus.setVerschuldet(kennzeichen);
		parkhaus.ausfahren(kennzeichen, ausfahrt);

		einfahrt = "01.10.2024, 13:30";
		ausfahrt = "01.10.2024, 14:00";
		parkhaus.einfahren(kennzeichen, einfahrt);
		parkhaus.berechneParkgebuehren(kennzeichen, ausfahrt);
		parkhaus.setVerschuldet(kennzeichen);
		parkhaus.ausfahren(kennzeichen, ausfahrt);
		
		einfahrt = "01.10.2024, 14:30";
		ausfahrt = "01.10.2024, 16:00";
		parkhaus.einfahren(kennzeichen, einfahrt);
		parkhaus.berechneParkgebuehren(kennzeichen, ausfahrt);
		parkhaus.setVerschuldet(kennzeichen);
		parkhaus.ausfahren(kennzeichen, ausfahrt);
		
		
	}

}
